/*
 * Copyright 2013 Xi CHEN
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.seanchenxi.gwt.storage.shared;

import java.io.Serializable;

/**
 * Created by: Xi
 */
public class RpcTestValue implements Serializable {

  private long id;

  public RpcTestValue(){}

  public RpcTestValue(long id){
    this.id = id;
  }

  public long getId(){
    return id;
  }

  public void setId(long id){
    this.id = id;
  }

  @Override
  public boolean equals(Object o){
    if(this == o) return true;
    if(!(o instanceof RpcTestValue)) return false;

    RpcTestValue that = (RpcTestValue)o;

    if(id != that.id) return false;

    return true;
  }

  @Override
  public int hashCode(){
    return (int)(id ^ (id >>> 32));
  }
}
